package com.huawei.ahdp.session;

import com.huawei.ahdp.session.IVmCallback;
import com.huawei.ahdp.session.IWICallback;

interface IVmService {
    void registerCallback(IVmCallback cb);
    void unregisterCallback(IVmCallback cb);
    void registerWICallback(IWICallback cb);
    void unregisterWICallback(IWICallback cb);

    boolean vmLaunch(String url, in String mac, in boolean useHwDecode,
            String openid, String userid, String accessToken);
    void vmTerm();

    void refreshDesktop();
}
